import mongoose from 'mongoose'

export interface UserDoc extends mongoose.Document {
    userName: string,
    nameOrganizer: {
      userName: string | null,
      unsigneduserName: string | null,
    },
    gender: number,
    email: string,
    password: string,
    referral_code: string,
    avatar: mongoose.Schema.Types.ObjectId,
    socialAccount: object,
    roleId: mongoose.Schema.Types.ObjectId,
    birthday: string,
    phoneNumber: string,
    totalVideo: number,
    address: string,
    description: string,
    isActive: boolean,
    secretInfo: object,
    followCount: number,
    followingCount: number,
    totalPosts: number,
    receiveNotifications: {
      like: boolean,
      comment: boolean,
      follow: boolean,
      tag: boolean,
      other: boolean,
    },
    isVerified: boolean,
    isInterestShowed: boolean,
    verificationType: number,
    lastActivityAt: Date,
    customVerify: string,
    favorite_products: Array<any>,
    saved_vouchers: Array<any>,
    detail_size_history: Array<any>,
    category_info_history: Object,
    is_newbie: Boolean,
    shorten_link?: String
}